## aardvark-dns 1.4.0

=== Makefile ===
# This Makefile is intended for developer convenience.  For the most part
# all the targets here simply wrap calls to the `cargo` tool.  Therefore,
# most targets must be marked 'PHONY' to prevent `make` getting in the way
#
#prog :=xnixperms

DESTDIR ?=
PREFIX ?= /usr/local
LIBEXECDIR ?= ${PREFIX}/libexec
LIBEXECPODMAN ?= ${LIBEXECDIR}/podman

SELINUXOPT ?= $(shell test -x /usr/sbin/selinuxenabled && selinuxenabled && echo -Z)
# Get crate version by parsing the line that starts with version.
CRATE_VERSION ?= $(shell grep ^version Cargo.toml | awk '{print $$3}')
GIT_TAG ?= $(shell git describe --tags)

# Set this to any non-empty string to enable unoptimized
# build w/ debugging features.
debug ?=

# All complication artifacts, including dependencies and intermediates
# will be stored here, for all architectures.  Use a non-default name
# since the (default) 'target' is used/referenced ambiguously in many
# places in the tool-chain (including 'make' itself).
CARGO_TARGET_DIR ?= targets
export CARGO_TARGET_DIR  # 'cargo' is sensitive to this env. var. value.

ifdef debug
$(info debug is $(debug))
  # These affect both $(CARGO_TARGET_DIR) layout and contents
  # Ref: https://doc.rust-lang.org/cargo/guide/build-cache.html
  release :=
  profile :=debug
else
  release :=--release
  profile :=release
endif

.PHONY: all
all: build

bin:
	mkdir -p $@

$(CARGO_TARGET_DIR):
	mkdir -p $@

.PHONY: build
build: bin $(CARGO_TARGET_DIR)
	cargo build $(release)
	cp $(CARGO_TARGET_DIR)/$(profile)/aardvark-dns bin/aardvark-dns$(if $(debug),.debug,)

.PHONY: crate-publish
crate-publish:
	@if [ "$(CRATE_VERSION)" != "$(GIT_TAG)" ]; then\
		echo "Git tag is not equivalent to the version set in Cargo.toml. Please checkout the correct tag";\
		exit 1;\
	fi
	@echo "It is expected that you have already done 'cargo login' before running this command. If not command may fail later"
	cargo publish --dry-run
	cargo publish

.PHONY: clean
clean:
	rm -rf bin
	if [ "$(CARGO_TARGET_DIR)" = "targets" ]; then rm -rf targets; fi
	$(MAKE) -C docs clean

#.PHONY: docs
#docs: ## build the docs on the host
#	$(MAKE) -C docs

.PHONY: install
install:
	install ${SELINUXOPT} -D -m0755 bin/aardvark-dns $(DESTDIR)/$(LIBEXECPODMAN)/aardvark-dns
	#$(MAKE) -C docs install

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)/$(LIBEXECPODMAN)/aardvark-dns
	rm -f $(PREFIX)/share/man/man1/aardvark-dns*.1

#.PHONY: test
test: unit integration

# Used by CI to compile the unit tests but not run them
.PHONY: build_unit
build_unit: $(CARGO_TARGET_DIR)
	cargo test --no-run

#.PHONY: unit
unit: $(CARGO_TARGET_DIR)
	cargo test

#.PHONY: code_coverage
# Can be used by CI and users to generate code coverage report based on aardvark unit tests
code_coverage: $(CARGO_TARGET_DIR)
	# Downloads tarpaulin only if same version is not present on local
	cargo install cargo-tarpaulin
	cargo tarpaulin -v

#.PHONY: integration
integration: $(CARGO_TARGET_DIR)
	# needs to be run as root or with podman unshare --rootless-netns
	bats test/

.PHONY: mock-rpm
mock-rpm:
	rpkg local

.PHONY: validate
validate: $(CARGO_TARGET_DIR)
	cargo fmt --all -- --check
	cargo clippy -p aardvark-dns -- -D warnings

.PHONY: vendor-tarball
vendor-tarball: build install.cargo-vendor-filterer
	VERSION=$(shell bin/aardvark-dns --version | cut -f2 -d" ") && \
	cargo vendor-filterer '--platform=*-unknown-linux-*' --format=tar.gz --prefix vendor/ && \
	mv vendor.tar.gz aardvark-dns-v$$VERSION-vendor.tar.gz && \
	gzip -c bin/aardvark-dns > aardvark-dns.gz && \
	sha256sum aardvark-dns.gz aardvark-dns-v$$VERSION-vendor.tar.gz > sha256sum

.PHONY: install.cargo-vendor-filterer
install.cargo-vendor-filterer:
	cargo install cargo-vendor-filterer

.PHONY: help
help:
	@echo "usage: make $(prog) [debug=1]"

## aardvark-dns 1.0.3

=== debian/changelog ===
aardvark-dns (1.0.3-1) unstable; urgency=medium

  * Initial release, Closes: #1014718

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Aug 2022 00:00:30 +0200

=== debian/control ===
Source: aardvark-dns
Section: net
Priority: optional
Maintainer: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 librust-anyhow-dev,
 librust-async-broadcast-dev,
 librust-chrono-dev,
 librust-clap+derive-dev,
 librust-futures-util-dev,
 librust-resolv-conf-dev,
 librust-signal-hook-dev,
 librust-strsim-dev,
 librust-syslog-dev,
 librust-termcolor-dev,
 librust-textwrap-dev,
 librust-tokio+full-dev,
 librust-trust-dns-client-dev,
 librust-trust-dns-proto-dev,
 librust-trust-dns-server-dev,
 libstd-rust-dev <!nocheck>,
 rustc:native <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/containers/netavark
Vcs-Browser: https://salsa.debian.org/debian/netavark
Vcs-Git: https://salsa.debian.org/debian/netavark.git
Rules-Requires-Root: no

Package: aardvark-dns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: podman
Description: Container-focused DNS server
 Netavark is designed to work with but is also applicable
 for other OCI container management applications.

=== debian/rules ===
#!/usr/bin/make -f

# generate cargo-checksum file
_mkchecksum = printf '{"package":"%s","files":{}}\n' \
 $$(sha256sum $(or $2,$(dir $1)Cargo.toml) | grep -Po '^\S+') > $1;

%:
	dh $@ --buildsystem cargo

execute_before_dh_auto_configure:
	$(call _mkchecksum,debian/cargo-checksum.json,Cargo.toml)

execute_after_dh_install:
	mkdir -vp debian/aardvark-dns/usr/lib
	mv -v debian/aardvark-dns/usr/bin debian/aardvark-dns/usr/lib/podman

## aardvark-dns 1.4.0

=== debian/changelog ===
aardvark-dns (1.4.0-5) unstable; urgency=medium

  * Build against clap version 4, Closes: #1040876, #1040877

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Sep 2023 20:45:48 -0400

aardvark-dns (1.4.0-4) unstable; urgency=medium

  [ Peter Green ]
  * Remove upper limit from cargo dependency on async-broadcast, to fix FTBFS
    Closes: #1038148

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 18 Jun 2023 20:55:48 -0400

aardvark-dns (1.4.0-3) unstable; urgency=medium

  [ Peter Green ]
  * Depend on non-virtual package librust-clap-3+derive-dev, Closes: #1028648

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 Jan 2023 02:05:56 -0500

aardvark-dns (1.4.0-2) unstable; urgency=medium

  * update dns-proto-server patch with upstream, verified to
    actually work using instruction in linked bug, Closes: #1024980

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 09 Jan 2023 15:40:25 -0500

aardvark-dns (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Fix package description, Closes: #1016767
  * Run the testsuite
  * tighten dependency on netavark

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Jan 2023 10:36:17 -0500

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  librust-anyhow-dev,
  librust-async-broadcast-dev,
  librust-chrono-dev,
- librust-clap+derive-dev,
+ librust-clap-4+derive-dev,
  librust-futures-util-dev,
+ librust-nix-dev,
  librust-resolv-conf-dev,
  librust-signal-hook-dev,
  librust-strsim-dev,
@@ -30,8 +31,8 @@
 
 Package: aardvark-dns
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, netavark (>> 1.4)
 Enhances: podman
 Description: Container-focused DNS server
- Netavark is designed to work with but is also applicable
- for other OCI container management applications.
+ Netavark is designed to work with podman but is also applicable for other OCI
+ container management applications.

## aardvark-dns 1.6.0

=== debian/changelog ===
aardvark-dns (1.6.0-1ubuntu1) noble; urgency=medium

  * Update Build-Depends (LP: #2063401)
  * Add patch to fix ipv6 test with rustc >= 1.72

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Apr 2024 00:31:27 -0400

aardvark-dns (1.6.0-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Apr 2024 08:06:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: aardvark-dns
 Section: net
 Priority: optional
-Maintainer: Reinhard Tartler <siretart@tauware.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 13),
  dh-cargo (>= 25),
  cargo:native <!nocheck>,
@@ -31,7 +32,7 @@
 
 Package: aardvark-dns
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, netavark (>> 1.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, netavark (>> 1.6)
 Enhances: podman
 Description: Container-focused DNS server
  Netavark is designed to work with podman but is also applicable for other OCI

## aardvark-dns 1.9.0

=== debian/changelog ===
aardvark-dns (1.9.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 07:46:41 -0400

aardvark-dns (1.9.0-1) experimental; urgency=medium

  * New upstream release: 1.9.0
  * Compile against hickory-server (instead trust-dns)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Jul 2024 08:17:26 -0400
    

aardvark-dns (1.6.0-3) unstable; urgency=medium

  * Compile against async-broadcast 0.7, Closes: #1076357

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 14 Jul 2024 23:42:04 -0400

aardvark-dns (1.6.0-2) unstable; urgency=medium

  * Fix test failure with rustc 1.72, Closes: #1073399

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Jul 2024 08:49:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aardvark-dns
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reinhard Tartler <siretart@tauware.de>
+Maintainer: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 13),
  dh-cargo (>= 25),
  cargo:native <!nocheck>,
@@ -19,15 +18,15 @@
  librust-termcolor-dev,
  librust-textwrap-dev,
  librust-tokio+full-dev,
- librust-trust-dns-client-dev,
- librust-trust-dns-proto-dev,
- librust-trust-dns-server-dev,
+ librust-hickory-client-dev,
+ librust-hickory-proto-dev,
+ librust-hickory-server-dev,
  libstd-rust-dev <!nocheck>,
  rustc:native <!nocheck>,
 Standards-Version: 4.6.1
-Homepage: https://github.com/containers/netavark
-Vcs-Browser: https://salsa.debian.org/debian/netavark
-Vcs-Git: https://salsa.debian.org/debian/netavark.git
+Homepage: https://github.com/containers/aardvark-dns
+Vcs-Browser: https://salsa.debian.org/debian/aardvark-dns
+Vcs-Git: https://salsa.debian.org/debian/aardvark-dns.git
 Rules-Requires-Root: no
 
 Package: aardvark-dns

## aardvark-dns 1.12.2

=== debian/changelog ===
aardvark-dns (1.12.2-2) unstable; urgency=medium

  [ Peter Michael Green ]
  * Add patch for nix 0.29, Closes: #1085403

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Nov 2024 14:26:51 -0500

aardvark-dns (1.12.2-1) unstable; urgency=medium

  * New upstream relase.
  * Fixes: CVE-2024-8418: TCP connections where not handled correctly
    which allowed a container to block dns queries for other clients on
    the same network, Closes: #1080964
  * Normalize patches with gbp pq
  * Add autopkgtest that runs upstream integration tests

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Sep 2024 20:50:47 -0400

aardvark-dns (1.12.1-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Sep 2024 09:35:56 -0400

aardvark-dns (1.12.1-1) experimental; urgency=medium

  * New upstream release 1.12.1
  * Refresh patches
  * Addjust dependies:
     - rust-arc-swap 1.6
     - rust-flume
     - rust-log
  * Build against nix 0.27
  * Build against tokio 1.35
  * Tighten depends on netavark

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Aug 2024 08:38:58 -0400

=== debian/control ===
Source: aardvark-dns
Section: net
Priority: optional
Maintainer: Reinhard Tartler <siretart@tauware.de>
Build-Depends: cargo:native <!nocheck>,
               debhelper-compat (= 13),
               dh-cargo (>= 25),
               librust-anyhow-dev,
               librust-arc-swap-dev,
               librust-async-broadcast-dev,
               librust-chrono-dev,
               librust-clap-4+derive-dev,
               librust-flume-dev,
               librust-futures-util-dev,
               librust-hickory-client-dev,
               librust-hickory-proto-dev,
               librust-hickory-server-dev,
               librust-nix-0.29-dev,
               librust-resolv-conf-dev,
               librust-signal-hook-dev,
               librust-strsim-dev,
               librust-syslog-dev,
               librust-termcolor-dev,
               librust-textwrap-dev,
               librust-tokio+full-dev,
               libstd-rust-dev <!nocheck>,
               rustc:native <!nocheck>
Standards-Version: 4.7.0
Homepage: https://github.com/containers/aardvark-dns
Vcs-Browser: https://salsa.debian.org/debian/aardvark-dns
Vcs-Git: https://salsa.debian.org/debian/aardvark-dns.git
Rules-Requires-Root: no

Package: aardvark-dns
Architecture: any
Depends: netavark (>> 1.12), ${misc:Depends}, ${shlibs:Depends}
Enhances: podman
Description: Container-focused DNS server
 Netavark is designed to work with podman but is also applicable for other OCI
 container management applications.

=== debian/tests/control ===
Test-Command: env AARDVARK=/usr/lib/podman/aardvark-dns NETAVARK=/usr/lib/podman/netavark bats --no-tempdir-cleanup --print-output-on-failure test/
Depends: bats,
         bind9-dnsutils,
         firewalld,
         ipcalc,
         iproute2,
         iptables,
         iputils-ping,
         jq,
         ncat,
         netavark (>> 1.12),
         nftables,
         slirp4netns,
         util-linux,
         @
Restrictions: allow-stderr, needs-root, isolation-machine

## aardvark-dns 1.14.0

=== debian/changelog ===
aardvark-dns (1.14.0-3) unstable; urgency=medium

  * Fix autopkgtests: replace slirp4netns with dnsmasq, following
    https://salsa.debian.org/debian/aardvark-dns/-/commit/e6ce7106602623

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 21 Mar 2025 08:15:22 -0400

aardvark-dns (1.14.0-2) unstable; urgency=medium

  * Bump Standards Version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Mar 2025 16:42:12 -0400

aardvark-dns (1.14.0-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Mar 2025 08:14:13 -0400

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                librust-tokio+full-dev,
                libstd-rust-dev <!nocheck>,
                rustc:native <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/aardvark-dns
 Vcs-Browser: https://salsa.debian.org/debian/aardvark-dns
 Vcs-Git: https://salsa.debian.org/debian/aardvark-dns.git
@@ -33,7 +33,7 @@
 
 Package: aardvark-dns
 Architecture: any
-Depends: netavark (>> 1.12), ${misc:Depends}, ${shlibs:Depends}
+Depends: netavark (>> 1.14), ${misc:Depends}, ${shlibs:Depends}
 Enhances: podman
 Description: Container-focused DNS server
  Netavark is designed to work with podman but is also applicable for other OCI

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
  https://api.github.com/repos/containers/aardvark-dns/tags?per_page=100 \
  https://api.github.com/repos/containers/aardvark-dns/tarball/refs/tags/@ANY_VERSION@

## aardvark-dns 1.16.0

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,9 @@
 # Set this to any non-empty string to enable unoptimized
 # build w/ debugging features.
 debug ?=
+
+# Set path to cargo executable, when running under CI make sure to add --locked so Cargo.lock is not modified
+CARGO ?= cargo $(if $(CI),--locked,)
 
 # All complication artifacts, including dependencies and intermediates
 # will be stored here, for all architectures.  Use a non-default name
@@ -47,22 +50,23 @@
 
 .PHONY: build
 build: bin $(CARGO_TARGET_DIR)
-	cargo build $(release)
+	$(CARGO) build $(release)
 	cp $(CARGO_TARGET_DIR)/$(profile)/aardvark-dns bin/aardvark-dns$(if $(debug),.debug,)
 
 .PHONY: crate-publish
 crate-publish:
-	@if [ "$(CRATE_VERSION)" != "$(GIT_TAG)" ]; then\
+	@if [ "v$(CRATE_VERSION)" != "$(GIT_TAG)" ]; then\
 		echo "Git tag is not equivalent to the version set in Cargo.toml. Please checkout the correct tag";\
 		exit 1;\
 	fi
 	@echo "It is expected that you have already done 'cargo login' before running this command. If not command may fail later"
-	cargo publish --dry-run
-	cargo publish
+	$(CARGO) publish --dry-run
+	$(CARGO) publish
 
 .PHONY: clean
 clean:
 	rm -rf bin
+	rm -rf vendor-tarball
 	if [ "$(CARGO_TARGET_DIR)" = "targets" ]; then rm -rf targets; fi
 	$(MAKE) -C docs clean
 
@@ -86,18 +90,18 @@
 # Used by CI to compile the unit tests but not run them
 .PHONY: build_unit
 build_unit: $(CARGO_TARGET_DIR)
-	cargo test --no-run
+	$(CARGO) test --no-run
 
 #.PHONY: unit
 unit: $(CARGO_TARGET_DIR)
-	cargo test
+	$(CARGO) test
 
 #.PHONY: code_coverage
 # Can be used by CI and users to generate code coverage report based on aardvark unit tests
 code_coverage: $(CARGO_TARGET_DIR)
 	# Downloads tarpaulin only if same version is not present on local
-	cargo install cargo-tarpaulin
-	cargo tarpaulin -v
+	$(CARGO) install cargo-tarpaulin
+	$(CARGO) tarpaulin -v
 
 #.PHONY: integration
 integration: $(CARGO_TARGET_DIR)
@@ -110,20 +114,22 @@
 
 .PHONY: validate
 validate: $(CARGO_TARGET_DIR)
-	cargo fmt --all -- --check
-	cargo clippy -p aardvark-dns -- -D warnings
+	$(CARGO) fmt --all -- --check
+	$(CARGO) clippy -p aardvark-dns -- -D warnings
 
 .PHONY: vendor-tarball
 vendor-tarball: build install.cargo-vendor-filterer
 	VERSION=$(shell bin/aardvark-dns --version | cut -f2 -d" ") && \
-	cargo vendor-filterer '--platform=*-unknown-linux-*' --format=tar.gz --prefix vendor/ && \
-	mv vendor.tar.gz aardvark-dns-v$$VERSION-vendor.tar.gz && \
-	gzip -c bin/aardvark-dns > aardvark-dns.gz && \
+	$(CARGO) vendor-filterer --format=tar.gz --prefix vendor/ && \
+	mkdir -p vendor-tarball && \
+	mv vendor.tar.gz vendor-tarball/aardvark-dns-v$$VERSION-vendor.tar.gz && \
+	gzip -c bin/aardvark-dns > vendor-tarball/aardvark-dns.gz && \
+	cd vendor-tarball && \
 	sha256sum aardvark-dns.gz aardvark-dns-v$$VERSION-vendor.tar.gz > sha256sum
 
 .PHONY: install.cargo-vendor-filterer
 install.cargo-vendor-filterer:
-	cargo install cargo-vendor-filterer
+	$(CARGO) install cargo-vendor-filterer
 
 .PHONY: help
 help:

=== debian/changelog ===
aardvark-dns (1.16.0-2) unstable; urgency=medium

  * compile against nix 0.30, Closes: #1116312

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Oct 2025 05:51:13 -0400

aardvark-dns (1.16.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches:
    - build against nix 0.29
    - build against hickory 0.24
    - build against clap 4.5.23
    - build against syslog 6
    - build against chrono 0.4.39

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 01 Sep 2025 19:43:30 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                librust-hickory-client-dev,
                librust-hickory-proto-dev,
                librust-hickory-server-dev,
-               librust-nix-0.29-dev,
+               librust-nix-0.30-dev,
                librust-resolv-conf-dev,
                librust-signal-hook-dev,
                librust-strsim-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 %:
 	dh $@ --buildsystem cargo
 
+# actually run the testsuite, not just build it
+override_dh_auto_test:
+	dh_auto_test -v --buildsystem cargo -- test
+
 execute_before_dh_auto_configure:
 	$(call _mkchecksum,debian/cargo-checksum.json,Cargo.toml)

=== debian/tests/control ===
Test-Command: env AARDVARK=/usr/lib/podman/aardvark-dns NETAVARK=/usr/lib/podman/netavark bats --no-tempdir-cleanup --print-output-on-failure test/
Features: test-name=system-tests:@
Architecture: amd64
Depends: bats,
         bind9-dnsutils,
         dnsmasq,
         firewalld,
         ipcalc,
         iproute2,
         iptables,
         iputils-ping,
         jq,
         ncat,
         netavark (>> 1.12),
         nftables,
         util-linux,
         @
Restrictions: allow-stderr, needs-root, isolation-machine
